Page MenuHomePhabricator

[MLIR][SPIRV] Extend automation script to generate coverage report.
ClosedPublic

Authored by ergawy on Jun 17 2020, 5:27 AM.

Details

Summary

This patch adds a new cli argument to the automation script to generate
a report of the current SPIRV spec instruction coverage. It dumps to the
standard output a YAML string with the coverage information.

Diff Detail

Event Timeline

ergawy created this revision.Jun 17 2020, 5:27 AM

This is a trivial extension to the automation script to make it slightly easier to know the current state of affairs. Please feel free to reject it if you find it adds too much code without as much value :)

antiagainst requested changes to this revision.Jun 17 2020, 3:06 PM

This is pretty cool! Thanks @ergawy! Just two comments, could you wrap to 80 characters and add a report_coverage.sh wrapper to feed in some directories like other .sh wrappers?

This revision now requires changes to proceed.Jun 17 2020, 3:06 PM
ergawy updated this revision to Diff 271632.Jun 18 2020, 3:06 AM

Create wrapper script and wrap lines at 80 chars.

antiagainst accepted this revision.EditedJun 22 2020, 7:04 AM

It seems you accidentally deleted the first commit. You can choose the base SHA to diff against when using arc diff <base-sha-to-diff-against>. the patch is against a non-existing commit; I see errors when trying to apply it to the top of the tree. Could you rebase against the top of the tree so I can land it? Thanks.

This revision is now accepted and ready to land.Jun 22 2020, 7:04 AM
ergawy updated this revision to Diff 272422.Jun 22 2020, 7:20 AM

Rebase on top of master.

ergawy updated this revision to Diff 272423.Jun 22 2020, 7:23 AM

arc diff against master.

It seems you accidentally deleted the first commit. You can choose the base SHA to diff against when using arc diff <base-sha-to-diff-against>. the patch is against a non-existing commit; I see errors when trying to apply it to the top of the tree. Could you rebase against the top of the tree so I can land it? Thanks.

Thank you for the explanation, I was wondering what the problem is since I am not really familiar with the Differential/Arcanist workflow. Hopefully, the problem is solved now.

ergawy updated this revision to Diff 272425.Jun 22 2020, 7:26 AM

Squash commits.

Sorry for the mess. It seems that CI fails only for Linux for some reason. Will try to find my around. Any tips are much appreciated.

ergawy updated this revision to Diff 272443.Jun 22 2020, 8:17 AM

Rebase on top of master again.

@antiagainst Sorry for the noise, but I don't think there anything I can do regarding the failures happening on CI here. Can you please have a look and tell if I am mistaken?

@antiagainst Sorry for the noise, but I don't think there anything I can do regarding the failures happening on CI here. Can you please have a look and tell if I am mistaken?

No worries! The script is just for offline use; it's not ever integrated into build/test process. I don't think it can cause buildbot failures.

This revision was automatically updated to reflect the committed changes.